import React from 'react';
import './EditTypeSelector.css';

function EditTypeSelector({ selectedType, onTypeSelect }) {
  const editTypes = [
    { id: 'agentx', label: 'Agent X' },
    { id: 'image', label: 'Image' },
    { id: 'remix', label: 'Remix' },
    { id: 'html', label: 'HTML' },
    { id: 'text', label: 'Text' },
    { id: 'web', label: 'Web' }
  ];

  return (
    <div className="edit-type-selector">
      <h3>Edit Type</h3>
      <div className="edit-type-grid">
        {editTypes.map(type => (
          <button
            key={type.id}
            className={`edit-type-button ${selectedType === type.id ? 'active' : ''}`}
            onClick={() => onTypeSelect(type.id)}
            disabled={type.id !== 'agentx'} // Only enable Agent X in v1
          >
            {type.label}
          </button>
        ))}
      </div>
    </div>
  );
}

export default EditTypeSelector;

