import React from 'react';
import { Link, useLocation } from 'react-router-dom';
import './Navbar.css';
import logo from '../assets/logo.png';

function Navbar() {
  const location = useLocation();

  return (
    <nav className="navbar">
      <div className="navbar-container">
        <Link to="/" className="navbar-logo">
          <img src={logo} alt="SpeakSite Logo" />
        </Link>
        <div className="nav-links">
          <Link to="/" className={location.pathname === '/' ? 'active' : ''}>
            Import
          </Link>
          <Link to="/current" className={location.pathname === '/current' ? 'active' : ''}>
            Current
          </Link>
          <Link to="/sessions" className={location.pathname === '/sessions' ? 'active' : ''}>
            Sessions
          </Link>
        </div>
      </div>
    </nav>
  );
}

export default Navbar;

